/*
 * Copyright 2010 Tilburg University
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package nl.uvt.pdproxy;

public interface ISource {
  /**
   * Retrieves a person from a source.
   * 
   * @param id the identifier of this person
   * @return a Person object
   * @throws UnknownObjectException if the person cannot be found in the source
   * @throws SourceException if the back-end source solution throws exceptions
   */
  public Person getPerson(String id)
  throws UnknownObjectException, SourceException;
}
